Rotate evidence producer
POST
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidproducer_id*Producer IdFormat
uuidapplication/json- body
key_id*Key IdMatch
^[A-Za-z0-9._:-]+$Length
3 <= length <= 128public_key*Public KeyLength
40 <= length <= 256Successful Response
application/json- response
algorithm*Algorithmcapabilities*array<string>created_at*Created AtFormat
date-timecreated_by*Created ByFormat
uuidid*IdFormat
uuidkey_id*Key Idlast_used_at*|nullname*Namepublic_key_sha256*Public Key Sha256revoked_at*|nullrevoked_by*|nullrevoked_by_operator*string|nullstatus*StatusValue in
"active""revoked"updated_at*Updated AtFormat
date-timeworkspace_id*Workspace IdFormat
uuidcurl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/evidence-producers/497f6eca-6276-4993-bfeb-53cbbbba6f08/rotate' \ -H 'Content-Type: application/json' \ -d '{ "key_id": "string", "public_key": "stringstringstringstringstringstringstri"}'Example Response
{ "algorithm": "ed25519", "capabilities": [ "string" ], "created_at": "2019-08-24T14:15:22Z", "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "key_id": "string", "last_used_at": "2019-08-24T14:15:22Z", "name": "string", "public_key_sha256": "string", "revoked_at": "2019-08-24T14:15:22Z", "revoked_by": "609d09bf-be33-45e0-963a-ff4cf608e85c", "revoked_by_operator": "string", "status": "active", "updated_at": "2019-08-24T14:15:22Z", "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}